<?php
/**
 * Standard hidden field.
 *
 * @since    2.0.0
 *
 * @extends Diller_Base_Field
 *
 */

class Diller_Hidden_Field extends Diller_Base_Field {


	public function __construct() {
		$args = func_get_args();
		call_user_func_array( array( Diller_Base_Field::class, '__construct' ), $args );
	}

	/**
	 * Print out field HTML - in this case intentionally empty.
	 */
	public function get_title() {}

	/**
	 * Print out field HTML.
	 */
	public function html() {
		?>

		<input <?php $this->id_attr(); ?>  type="hidden" <?php $this->name_attr(); ?>  value="<?php echo esc_attr($this->get_value()); ?>" />

        <?php
	}

	/**
	 * Print out a field.
	 */
	public function display() {
	    $this->html();
	}
}
